libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
ns2_sns_state Struct Reference

## Data Fields
struct gprs_ns2_nse * | nse
int | family
enum ns2_sns_role | role
struct llist_head | sns_endpoints
struct llist_head | binds
struct ns2_sns_bind * | initial_bind
bool | reselection_running
bool | block_no_nsvc_events
struct sns_endpoint * | initial
struct gprs_ns2_vc * | sns_nsvc
int | N
bool | alive
struct ns2_sns_elems | local
struct ns2_sns_elems | local_procedure
struct ns2_sns_elems | remote
size_t | num_max_nsvcs
size_t | num_max_ip4_remote
size_t | num_max_ip6_remote
struct llist_head | procedures
struct ns2_sns_procedure * | current_procedure
uint8_t | trans_id

## Field Documentation

## ◆ alive

bool ns2_sns_state::alive

Referenced by _sns_failed(), ns2_sns_notify_alive(), ns2_sns_replace_nsvc(), ns2_sns_st_all_action(), ns2_sns_st_bss_size_onenter(), and ns2_sns_st_configured_onenter().

## ◆ binds

struct llist_head ns2_sns_state::binds

Referenced by create_missing_nsvcs(), gprs_ns2_sns_add_bind(), gprs_ns2_sns_del_bind(), ns2_sns_bss_fsm_alloc(), ns2_sns_bss_valid_configuration(), ns2_sns_choose_next_bind(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_count_num_local_ep(), ns2_sns_sgsn_fsm_alloc(), and ns2_sns_update_weights().

## ◆ block_no_nsvc_events

bool ns2_sns_state::block_no_nsvc_events

Referenced by ns2_clear_sgsn(), ns2_sns_notify_alive(), ns2_sns_replace_nsvc(), ns2_sns_st_all_action(), ns2_sns_st_all_action_bss(), and ns2_sns_st_all_action_sgsn().

## ◆ current_procedure

struct ns2_sns_procedure* ns2_sns_state::current_procedure

Referenced by ns2_clear_procedures(), ns2_sns_st_local_procedure(), and ns2_sns_st_local_procedure_onenter().

## ◆ family

int ns2_sns_state::family

Referenced by do_sns_add(), ns2_add_procedure(), ns2_get_sbind_ip4_entry(), ns2_get_sbind_ip6_entry(), ns2_sns_add_elements(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_copy_local_endpoints(), ns2_sns_st_all_action(), ns2_sns_st_all_action_bss(), ns2_sns_st_all_action_sgsn(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_configured_add(), ns2_sns_st_configured_delete(), ns2_sns_st_local_procedure(), ns2_sns_st_local_procedure_onenter(), ns2_sns_update_weights(), and ns2_update_weight_entry().

## ◆ initial

struct sns_endpoint* ns2_sns_state::initial

Referenced by gprs_ns2_nse_sns_remote(), gprs_ns2_sns_del_endpoint(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_st_all_action_bss(), and ns2_sns_st_bss_size_onenter().

## ◆ initial_bind

struct ns2_sns_bind* ns2_sns_state::initial_bind

Referenced by gprs_ns2_sns_del_bind(), ns2_sns_choose_next_bind(), and ns2_sns_st_bss_size_onenter().

## ◆ local

struct ns2_sns_elems ns2_sns_state::local

Referenced by ns2_clear_sgsn(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_copy_local_endpoints(), ns2_sns_dump_vty(), ns2_sns_st_all_action(), ns2_sns_st_all_action_bss(), ns2_sns_st_all_action_sgsn(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_bss_size_onenter(), ns2_sns_st_local_procedure(), and ns2_sns_st_sgsn_wait_config_ack_onenter().

## ◆ local_procedure

struct ns2_sns_elems ns2_sns_state::local_procedure

Referenced by ns2_sns_copy_local_endpoints(), and ns2_sns_st_all_action().

## ◆ N

int ns2_sns_state::N

Referenced by ns2_sns_fsm_bss_timer_cb(), ns2_sns_fsm_sgsn_timer_cb(), ns2_sns_st_all_action_sgsn(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_bss_config_sgsn_onenter(), ns2_sns_st_bss_size_onenter(), and ns2_sns_st_local_procedure_onenter().

## ◆ nse

struct gprs_ns2_nse* ns2_sns_state::nse

Referenced by _sns_failed(), create_missing_nsvcs(), create_nsvc_for_new_sbind(), do_sns_add(), do_sns_change_weight(), do_sns_delete(), gprs_ns2_nse_sns_remote(), ns2_add_procedure(), ns2_clear_sgsn(), ns2_sns_bss_fsm_alloc(), ns2_sns_dump_vty(), ns2_sns_fsm_bss_timer_cb(), ns2_sns_fsm_sgsn_timer_cb(), ns2_sns_replace_nsvc(), ns2_sns_sgsn_fsm_alloc(), ns2_sns_st_all_action(), ns2_sns_st_all_action_bss(), ns2_sns_st_bss_config_bss(), ns2_sns_st_bss_config_sgsn(), ns2_sns_st_bss_size(), ns2_sns_st_bss_size_onenter(), ns2_sns_st_configured_add(), ns2_sns_st_configured_onenter(), ns2_sns_st_local_procedure(), ns2_sns_st_sgsn_wait_config(), ns2_sns_st_sgsn_wait_config_ack(), ns2_sns_update_weights(), ns2_sns_write_vty(), and nse_inst_from_fi().

## ◆ num_max_ip4_remote

size_t ns2_sns_state::num_max_ip4_remote

Referenced by do_sns_add(), ns2_sns_bss_fsm_alloc(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_dump_vty(), ns2_sns_st_all_action(), ns2_sns_st_all_action_sgsn(), and ns2_sns_st_bss_size_onenter().

## ◆ num_max_ip6_remote

size_t ns2_sns_state::num_max_ip6_remote

Referenced by do_sns_add(), ns2_sns_bss_fsm_alloc(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_dump_vty(), ns2_sns_st_all_action(), and ns2_sns_st_all_action_sgsn().

## ◆ num_max_nsvcs

size_t ns2_sns_state::num_max_nsvcs

Referenced by ns2_sns_compute_local_ep_from_binds(), ns2_sns_dump_vty(), ns2_sns_st_all_action(), ns2_sns_st_all_action_sgsn(), and ns2_sns_st_bss_size_onenter().

## ◆ procedures

struct llist_head ns2_sns_state::procedures

Referenced by ns2_add_procedure(), ns2_clear_procedures(), ns2_sns_bss_fsm_alloc(), ns2_sns_sgsn_fsm_alloc(), ns2_sns_st_all_action(), ns2_sns_st_configured_onenter(), ns2_sns_st_local_procedure(), and ns2_sns_st_local_procedure_onenter().

## ◆ remote

struct ns2_sns_elems ns2_sns_state::remote

Referenced by create_missing_nsvcs(), create_nsvc_for_new_sbind(), do_sns_add(), do_sns_change_weight(), do_sns_delete(), ns2_clear_sgsn(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_dump_vty(), ns2_sns_st_all_action(), ns2_sns_st_all_action_bss(), ns2_sns_st_bss_config_sgsn(), ns2_sns_st_configured_delete(), ns2_sns_st_sgsn_wait_config(), and ns_sns_append_remote_eps().

## ◆ reselection_running

bool ns2_sns_state::reselection_running

Referenced by ns2_sns_st_all_action_bss().

## ◆ role

enum ns2_sns_role ns2_sns_state::role

Referenced by _sns_failed(), ns2_sns_bss_fsm_alloc(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_sgsn_fsm_alloc(), ns2_sns_st_all_action(), ns2_sns_st_all_action_sgsn(), ns2_sns_st_bss_config_bss(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_bss_config_sgsn(), ns2_sns_st_bss_config_sgsn_onenter(), ns2_sns_st_bss_size(), ns2_sns_st_bss_size_onenter(), ns2_sns_st_bss_unconfigured(), ns2_sns_st_sgsn_unconfigured(), ns2_sns_st_sgsn_wait_config(), ns2_sns_st_sgsn_wait_config_ack(), and ns2_sns_st_sgsn_wait_config_ack_onenter().

## ◆ sns_endpoints

struct llist_head ns2_sns_state::sns_endpoints

Referenced by gprs_ns2_sns_add_endpoint(), gprs_ns2_sns_count(), gprs_ns2_sns_del_endpoint(), ns2_get_sns_endpoint(), ns2_sns_bss_fsm_alloc(), ns2_sns_bss_valid_configuration(), ns2_sns_sgsn_fsm_alloc(), ns2_sns_st_all_action_bss(), and ns2_sns_write_vty().

## ◆ sns_nsvc

struct gprs_ns2_vc* ns2_sns_state::sns_nsvc

Referenced by ns2_sns_compute_local_ep_from_binds(), ns2_sns_notify_alive(), ns2_sns_replace_nsvc(), ns2_sns_st_all_action_sgsn(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_bss_config_sgsn(), ns2_sns_st_bss_size_onenter(), ns2_sns_st_configured_add(), ns2_sns_st_configured_change(), ns2_sns_st_configured_delete(), ns2_sns_st_configured_onenter(), ns2_sns_st_local_procedure_onenter(), ns2_sns_st_sgsn_wait_config(), and ns2_sns_st_sgsn_wait_config_ack_onenter().

## ◆ trans_id

uint8_t ns2_sns_state::trans_id

Referenced by ns2_sns_st_local_procedure_onenter().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns2_sns.c